% Run this section before you start 
% Select the section of code and hit F9. 
Vd = 40.5;
Ts = 1e-4;
f_rated = 60;

% Torque speed characteristics
Tfriction=0.1 %Nm
B=0.0002 %Nm-sec/rad
wm_30=[] %Enter the motor speed in RPM for Fref=30Hz (separated with spaces)
wm_45=[] %Enter the motor speed in RPM for Fref=45Hz (separated with spaces)
wm_60=[]%Enter the motor speed in RPM for Fref=60Hz (separated with spaces)
T_DC=[] %Enter the value of torque of the dc-motor (be careful about the sign)
Tem_30=T_DC+Tfriction+B*wm_30*2*pi/60 
Tem_45=T_DC+Tfriction+B*wm_45*2*pi/60
Tem_60=T_DC+Tfriction+B*wm_60*2*pi/60
wslip_30=(30*60/2-wm_30)
wslip_45=(45*60/2-wm_45)
wslip_60=(60*60/2-wm_60)
plot(wslip_30,Tem_30,wslip_45,Tem_45, wslip_60,Tem_60 )
legend('fs=30Hz','fs=45Hz','fs=60Hz')
xlabel('wslip(RPM)')
ylabel('Tem(Nm)')
print('-dpdf', 'Torque_slip.pdf')

Ktw= %Nm/RPM calculate the slope 

figure;
plot(wm_30/(30*60/2),Tem_30,wm_45/(45*60/2),Tem_45, wm_60/(60*60/2),Tem_60 )
legend('fs=30Hz','fs=45Hz','fs=60Hz')
xlabel('wm/wsyn (pu)')
ylabel('Tem (Nm)')
print('-dpdf', 'Torque_speed_per_unit.pdf')

figure;
plot(wm_30,Tem_30,wm_45,Tem_45, wm_60,Tem_60 )
legend('fs=30Hz','fs=45Hz','fs=60Hz')
xlabel('wm (RPM)')
ylabel('Tem (Nm) ')
print('-dpdf', 'Torque_speed_wm.pdf')


%Calculating the power supplied for sub, super and synchronous speed. 
load subsync.mat
data=subsync
time = data.X.Data;
i = data.Y(1).Data;
v =data.Y(2).Data;
P_subsync=i.*v;
figure;
plot(time, i, time, v,time,P_subsync)
grid on
legend('ia(t)', 'va(t)','Pa(t)')
xlabel('t(sec)')
title('Plot of phase-a current, voltage and power (Subsynchronous speed)')
P_subsync_avg=3*v*i'/length(i)
print('-dpdf', 'Power_Subsynchronous.pdf')

load supersync.mat
data=supersync
time = data.X.Data;
i =data.Y(1).Data;
v = data.Y(2).Data;
P_supersync=i.*v;
figure;
plot(time, i, time, v,time,P_supersync)
grid on
legend('ia(t)', 'va(t)','Pa(t)')
xlabel('t(sec)')
title('Plot of phase-a current, voltage and power (Supersynchronous speed)')
P_supersync_avg=3*v*i'/length(i)
print('-dpdf', 'Power_Supersynchronous.pdf')

load atsync.mat
data=atsync
time = data.X.Data;
i = data.Y(1).Data;
v = data.Y(2).Data;
P_sync=i.*v;
figure;
plot(time, i, time, v,time, P_sync)
grid on
legend('ia(t)', 'va(t)','Pa(t)')
xlabel('t(sec)')
title('Plot of phase-a current, voltage and power (At synchronous speed)')
P_sync_avg=3*v*i'/length(i)
print('-dpdf', 'Power_Atsynchronous.pdf')





